---
title: PeriodicSyncEvent()
slug: Web/API/PeriodicSyncEvent/PeriodicSyncEvent
tags:
  - Constructor
  - Offline
  - PWA
  - PeriodicSyncEvent
  - Service Worker
  - Web Periodic Background Synchronization API
  - periodic sync
---
<div>{{draft}}{{DefaultAPISidebar("Periodic Background Sync")}}</div>

<p class="summary">The <strong><code>PeriodicSyncEvent()</code></strong> constructor creates a new {{domxref("PeriodicSyncEvent")}} object. This constructor is not typically used. The browser creates these objects itself and provides them to {{domxref('ServiceWorkerGlobalScope.onperiodicsync')}} callback.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>PeriodicSyncEvent</var> = new PeriodicSyncEvent();</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>A {{domxref("DOMString")}} indicating the event which occurred. For <code>PeriodicSyncEvent</code>, this is always <code>periodicsync</code>.</dd>
 <dt><em>periodicSyncEventInitDict</em> {{optional_inline}}</dt>
 <dd>An options object containing any initialization data you want to populate the <code>PeriodicSyncEvent</code> object with. The options are:
 <ul>
  <li><code>tag</code>: The tag referencing the sync event.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("PeriodicSyncEvent")}} object configured using the given inputs.</p>

<h2 id="Examples">Examples</h2>

<p>This example constructs a new {{domxref('PeriodicSyncEvent')}} with the relevant associated tag.</p>

<pre class="brush: js notranslate">var syncTag = {
  tag : 'unique-tag'
}

var psEvent = new ExtendableEvent('periodicsync', syncTag);

psEvent.tag; // should return 'unique-tag'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Periodic Background Sync','#periodicsync-event','PeriodicSyncEvent')}}</td>
   <td>{{Spec2('Periodic Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PeriodicSyncEvent.PeriodicSyncEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://web.dev/periodic-background-sync/">Richer offline experiences with the Periodic Background Sync API</a></li>
 <li><a href="https://webplatformapis.com/periodic_sync/periodicSync_improved.html">A Periodic Background Sync demo app</a></li>
</ul>
